// tga.h

#ifndef _TGA_H_
#define _TGA_H_

#include <windows.h>		// Header File For Windows
#include <gl\gl.h>			// Header File For The OpenGL32 Library

typedef struct									// Create A Structure
{	GLubyte	*imageData;							// Image Data (Up To 32 Bits)
	GLuint	bpp;								// Image Color Depth In Bits Per Pixel.
	GLuint	width;								// Image Width
	GLuint	height;								// Image Height
	GLuint	texID;								// Texture ID Used To Select A Texture
} TextureImage;

int TGA_LoadTexture(char *filename,  GLuint *ptex);

#endif

