// Timer.h

#ifndef _TIMER_H_
#define  _TIMER_H_

#include <windows.h>
#include <mmsystem.h>

typedef struct timer		 							// Create A Structure For The Timer Information
{
  long long     frequency;							// Timer Frequency
  float         resolution;							// Timer Resolution
  unsigned long mm_timer_start;						// Multimedia Timer Start Value
  unsigned long mm_timer_elapsed;					// Multimedia Timer Elapsed Time
  BOOL			performance_timer;					// Using The Performance Timer?
  long long     performance_timer_start;			// Performance Timer Start Value
  long long     performance_timer_elapsed;			// Performance Timer Elapsed Time
}TIMER;


void Timer_Timer(TIMER * pT);						// Initialize Our Timer (Get It Ready)
float Timer_GetTime(TIMER * pT);					// Get Time In Seconds

#endif

