// Vector.h

#ifndef _VECTOR_H_
#define _VECTOR_H_

#include "Matrix.h"

typedef struct Vector
{	float vector[4];
}VECTOR;

void Vector_Reset(VECTOR * pV);
void Vector_Set(VECTOR * pV, const float *values );
void Vector_Add(VECTOR * pV, const VECTOR * pv );
void Vector_Normalize(VECTOR * pV);
float Vector_Length(VECTOR * pV);
void Vector_Vector(VECTOR * pV, const float *values );
void Vector_Transform(VECTOR * pV, const MATRIX * pM );
void Vector_Transform3(VECTOR * pV, const MATRIX * pM );

#endif // _VECTOR_H_
